function P = diag(P,varargin)

% DIAG -- set off-diagonal entries in matrix polynomial to zero
%
%        P = diag(P)
%        P = diag(P,k)
%
% Set all values off the kth diagonal to zero. This corresponds to
% A = diag(diag(A,k),k) for the builtin DIAG.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

for i = 1:size(P.coef,3)
    P.coef(:,:,i) = diag(diag(P.coef(:,:,i),varargin{:}),varargin{:});
end
P = trim(P);
