function display(P)

% DISPLAY -- display matrix polynomial
% 
%        P
%        display(P) 
%
% This function does not need to be called by the user. Just typing
% the name of the matrix polynomial has the same effect.
% This function is invoked automatically by Matlab if the result of a
% calculation is a matrix polynomial.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

C = P.coef;
kmin = P.min;
if ~isequal(get(0,'FormatSpacing'),'compact')
    disp(' ');
end
if strcmp(P.type,'polyphase')
    disp(sprintf('polyphase matrix, m=%d, r=%d, class=''%s''',P.m,P.r,class(P.coef)));
elseif strcmp(P.type,'symbol')
    disp(sprintf('symbol matrix, m=%d, r=%d, class=''%s''',P.m,P.r,class(P.coef)));
else
    disp(sprintf('matrix polynomial, class=''%s''',class(P.coef)));
end
if ~isequal(get(0,'FormatSpacing'),'compact')
    disp(' ');
end

for i = 1:size(C,3)
    disp(sprintf('%s[%d] =',inputname(1),kmin+i-1));
    disp(C(:,:,i));
end
