function P = double(P)

% DOUBLE -- built-in DOUBLE, extended to matrix polynomials
%
%        P = double(P)
%
% Convert P.coef to type 'double'. This is only useful if P
% has symbolic coefficients.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

% The "reshape" is necessary since Matlab cannot handle
% three-dimensional symbolic arrays correctly

P.coef = reshape(double(P.coef(:)),size(P.coef));
P = trim(P);
