function yesno = iszero(P)

% ISZERO -- check whether matrix polynomial is zero
%
%       yesno = iszero(P)
%
% If the matrix polynomial P contains only entries which are zero
% (within tolerance), this routine returns yesno=1, otherwise yesno=0.
%
% The tolerance is the value of the global variable MPOLY_TOLERANCE.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

yesno = iszero(P.coef);
% Note: this is not an endless loop. This routine is @mpoly/iszero.
% The preceding statement calls either @double/iszero or @sym/iszero, 
% depending on the type of P.coef.
