function P = set(P,varargin)

% SET - set field of matrix polynomial
% 
%        P = set(P,'field1',value1,'field2',value2,...)
%
% This is the same as 
%
%        P.field1 = value1;
%        P.field2 = value2;
%        ...
%
% Allowable fields are
%        min   = smallest exponent
%        coef  = matrix of coefficients
%        type  = '', 'symbol' or 'polyphase'
%        m     = dilation factor
%        r     = multiplicity

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

narg = round((nargin - 1) / 2);
if (nargin ~= 2*narg+1)
    error('field/value arguments must come in pairs');
end

for i = 1:narg
    field = varargin{2*i-1};
    value = varargin{2*i};
    eval(['P.',field,'=value;']);
end
