function Q = uminus(P)

% UMINUS -- unary minus for matrix polynomials
%
%        Q = - P
%        Q = uminus(P)
%
% This routine is not meant to be called by the user. It is called by
% Matlab when the expression -P is encountered. It takes the negative
% of all the coefficient matrices.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

Q = trim(P);
% the "reshape" construction is necessary because Matlab
% cannot handle three-dimensional symbolic matrices correctly
% not even for a unary minus
n = size(Q.coef);
Q.coef = reshape(-(Q.coef(:)),n);

