function Sgn = sign(S)

% SIGN -- sign function for symbolic constants
%
%        Sgn = sign(S)
%
% This is the same as the usual SIGN function, but for symbolic
% constants. It is defined as sign(x) = x / abs(x).
%
% If S contains symbolic variables (as opposed to symbolic constants),
% this will not be very useful.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

n = size(S);
S = S(:);
Sgn = simplify(S ./ abs(S));
Sgn = reshape(Sgn,n);
