function T = transition_matrix(H,kmin,kmax)

% TRANSITION_MATRIX - build transition matrix for multiwavelet H
%
%        T = transition_matrix(H,kmin,kmax)
%
% The transition matrix is the refinement matrix of the
% autocorrelation matrix of H.
%
% The defaults are kmin = -H.len, kmax = H.len

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

H = correlation(H,H);
if (nargin < 2)
    kmin = H.min;
end
if (nargin < 3)
    kmax = H.max;
end
T = refinement_matrix(H,kmin,kmax);
